/*
 * skillExplore.hpp
 *
 *  Created on: 17/06/2013
 *      Author: timothyw
 */

#ifndef VICTIMID_SKILL_DRIVE_TO_HPP_
#define VICTIMID_SKILL_DRIVE_TO_HPP_

#include "victim_id/skill.hpp"

namespace casualty {

class VIDSkillDriveTo : public VicIdSkill {
public:
    VIDSkillDriveTo() :
        VicIdSkill("sk_drive_to")
    {};
    ~VIDSkillDriveTo() {};

    void start();
    void stop();
    bool equals(VicIdSkill& skOther);

    ros::ServiceClient* explorerClient;     // Explorer Client
    ros::ServiceClient* folloPathClient;    // Explorer Follow Path Client
    ros::ServiceClient* getPathClient;      // Explorer Get Path Client
    Pose robotSlam;                         // Position of the robot in Slam frame
    Point3D pointSlam;                      // Point to look at in Slam frame
private:
};
typedef crosbot::Handle<VIDSkillDriveTo> VIDSkillDriveToPtr;

} // namespace casualty

#endif /* VICTIMID_SKILL_DRIVE_TO_HPP_ */
